> ## Documentation Index
> Fetch the complete documentation index at: https://docs.li.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a paginated list of filtered transfers

> A paginated version of the `GET /v1/analytics/transfers endpoint`. This endpoint can be used to retrieve a list of transfers filtered by certain properties.



## OpenAPI

````yaml get /v2/analytics/transfers
openapi: 3.0.2
info:
  title: LI.FI API
  version: 1.0.0
  description: >-
    LI.FI provides the best cross-chain swap across all liquidity pools and
    bridges.
servers:
  - url: https://li.quest
    description: LI.FI Production Environment
  - url: https://staging.li.quest
    description: LI.FI Staging Environment
security: []
paths:
  /v2/analytics/transfers:
    get:
      summary: Get a paginated list of filtered transfers
      description: >-
        A paginated version of the `GET /v1/analytics/transfers endpoint`. This
        endpoint can be used to retrieve a list of transfers filtered by certain
        properties.
      parameters:
        - $ref: '#/components/parameters/paginationLimit'
        - $ref: '#/components/parameters/paginationNext'
        - $ref: '#/components/parameters/paginationPrevious'
        - name: integrator
          description: >-
            Either a single integrator string, or an array of unique integrator
            strings to filter transfers by.
          schema:
            oneOf:
              - type: string
              - type: array
                items:
                  type: string
          in: query
        - name: wallet
          description: 'The sending OR receiving wallet address '
          schema:
            type: string
          in: query
        - name: status
          description: >-
            The status of the transfers. Possible values are `ALL`, `DONE`,
            `PENDING`, and `FAILED`. The default is `DONE`
          schema:
            type: string
          in: query
        - name: fromTimestamp
          description: >-
            The oldest timestamp that should be taken into consideration.
            Defaults to 30 days ago
          schema:
            type: number
          in: query
        - name: toTimestamp
          description: >-
            The newest timestamp that should be taken into consideration.
            Defaults to now
          schema:
            type: number
          in: query
        - name: fromChain
          description: The chain where the transfer originates from.
          schema:
            type: string
          in: query
        - name: toChain
          description: The chain where the transfer ends.
          schema:
            type: string
          in: query
        - name: fromToken
          description: >-
            The token transferred from the originating chain. To use this
            parameter `fromChain` must be set.
          schema:
            type: string
          in: query
        - name: toToken
          description: >-
            The token received on the destination chain. To use this parameter
            `toChain` must be set.
          schema:
            type: string
          in: query
      responses:
        '200':
          $ref: '#/components/responses/TransfersV2Response'
components:
  parameters:
    paginationLimit:
      name: limit
      description: Pagination limit. Defines the maximum number of returned results.
      schema:
        default: 10
        type: integer
      in: query
      required: false
    paginationNext:
      name: next
      description: >-
        The next page cursor. Must come from the `next` field of the response of
        the previous request.
      schema:
        type: string
      in: query
      required: false
    paginationPrevious:
      name: previous
      description: >-
        The previous page cursor. Must come from the `previous` field of the
        response of the previous request.
      schema:
        type: string
      in: query
      required: false
  responses:
    TransfersV2Response:
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/PaginatedResult'
              - type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/StatusResponse'
      description: Response for `GET /analytics/transfers/summary` endpoint
  schemas:
    PaginatedResult:
      title: Pagination Query Parameters
      description: Parameters used to query paginated endpoints
      type: object
      properties:
        hasNext:
          description: Flag indicating if there is a next page
          default: false
          type: boolean
        hasPrevious:
          description: Flag indicating if there is a previous page
          default: false
          type: boolean
        next:
          nullable: true
          description: >-
            Cursor for fetching the next page. Should be passed to `next` in the
            pagination query.
          type: string
        previous:
          nullable: true
          description: >-
            Cursor for fetching the previous page. Should be passed to
            `previous` in the pagination query.
          type: string
        data:
          description: 'An array containing the paginated data returned by the endpoint '
    StatusResponse:
      title: Root Type for StatusResponse
      description: The current status of a transfer
      required:
        - sending
        - status
        - tool
      type: object
      properties:
        sending:
          $ref: '#/components/schemas/TransactionInfo'
          description: The transaction on the sending chain
        receiving:
          $ref: '#/components/schemas/TransactionInfo'
          description: The transaction on the receiving chain
        feeCosts:
          description: An array of fee costs for the transaction
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              description:
                type: string
              percentage:
                type: string
              token:
                type: object
                properties:
                  address:
                    type: string
                  decimals:
                    format: number
                    type: number
                  symbol:
                    type: string
                  chainId:
                    format: number
                    type: number
                  coinKey:
                    type: string
                  name:
                    type: string
                  logoURI:
                    type: string
              amount:
                type: string
              amountUSD:
                type: string
              included:
                type: boolean
        status:
          description: >-
            The current status of the transfer. Can be `PENDING`, `DONE`,
            `NOT_FOUND` or `FAILED`
          enum:
            - NOT_FOUND
            - INVALID
            - PENDING
            - DONE
            - FAILED
          type: string
        substatus:
          description: >-
            A more specific substatus. This is available for PENDING and DONE
            statuses. More information can be found here:
            https://docs.li.fi/introduction/user-flows-and-examples/status-tracking
          enum:
            - WAIT_SOURCE_CONFIRMATIONS
            - WAIT_DESTINATION_TRANSACTION
            - BRIDGE_NOT_AVAILABLE
            - CHAIN_NOT_AVAILABLE
            - REFUND_IN_PROGRESS
            - UNKNOWN_ERROR
            - COMPLETED
            - PARTIAL
            - REFUNDED
        substatusMessage:
          description: A message that describes the substatus
          type: string
        tool:
          description: The tool used for this transfer
          type: string
        transactionId:
          description: The ID of this transfer (NOT a transaction hash).
          type: string
        fromAddress:
          description: The address of the sender.
          type: string
        toAddress:
          description: The address of the receiver.
          type: string
        lifiExplorerLink:
          description: The link to the LI.FI explorer.
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
          description: The transaction metadata which includes integrator's string, etc.
      example:
        sending:
          txHash: '0xd3ad8fb8798d8440f3a1ec7fd51e102a88e4690f9365fad4eff1a17020376b4a'
          txLink: >-
            https://polygonscan.com/tx/0xd3ad8fb8798d8440f3a1ec7fd51e102a88e4690f9365fad4eff1a17020376b4a
          amount: '13000000'
          token:
            address: '0xd69b31c3225728cc57ddaf9be532a4ee1620be51'
            symbol: anyUSDC
            decimals: 6
            chainId: 137
            name: USDC
            coinKey: anyUSDC
            priceUSD: '0'
            logoURI: ''
          chainId: 137
          gasToken:
            address: '0x0000000000000000000000000000000000001010'
            symbol: MATIC
            decimals: 18
            chainId: 137
            name: MATIC
            coinKey: MATIC
            priceUSD: '0'
            logoURI: ''
          gasAmount: '10000'
          gasAmountUSD: '0.0'
          gasPrice: '1000'
          gasUsed: '1000'
          timestamp: 1720545119
          value: '0'
        receiving:
          txHash: '0xba2793065e20835ef60993144d92e6bc1a86529a70e16c357f66ad13774868ad'
          txLink: >-
            https://bscscan.com/tx/0xba2793065e20835ef60993144d92e6bc1a86529a70e16c357f66ad13774868ad
          amount: '12100000000000000000'
          token:
            address: '0x8965349fb649a33a30cbfda057d8ec2c48abe2a2'
            symbol: anyUSDC
            decimals: 18
            chainId: 56
            name: USDC
            coinKey: anyUSDC
            priceUSD: '0'
            logoURI: ''
          chainId: 56
          gasToken:
            address: '0x0000000000000000000000000000000000001010'
            symbol: BNB
            decimals: 18
            chainId: 56
            name: BNB
            coinKey: BNB
            priceUSD: '0'
            logoURI: ''
          gasAmount: '10000'
          gasAmountUSD: '0.0'
          gasPrice: '1000'
          gasUsed: '1000'
          timestamp: 1720560232
          value: '0'
        tool: anyswap
        status: DONE
        substatus: COMPLETED
        substatusMessage: The transfer is complete.
        transactionId: '0x0000000000000000000000000000000000001010'
        fromAddress: '0x0000000000000000000000000000000000001010'
        toAddress: '0x0000000000000000000000000000000000001010'
        lifiExplorerLink: >-
          https://scan.li.fi/tx/0xd3ad8fb8798d8440f3a1ec7fd51e102a88e4690f9365fad4eff1a17020376b4a
        metadata:
          integrator: jumper.exchange
    TransactionInfo:
      title: Root Type for TransactionInfo
      description: A transaction info object
      required:
        - txLink
        - amount
        - txHash
        - token
        - chainId
      type: object
      properties:
        txHash:
          description: The hash of the transaction
          type: string
        txLink:
          description: Link to a block explorer showing the transaction
          type: string
        amount:
          description: The amount of the transaction
          type: string
        token:
          $ref: '#/components/schemas/Token'
          description: Information about the token
        chainId:
          description: The id of the chain
          type: number
        gasToken:
          $ref: '#/components/schemas/Token'
          description: The token in which gas was paid
        gasAmount:
          description: The amount of the gas that was paid
          type: string
        gasAmountUSD:
          description: The amount of the gas that was paid in USD
          type: string
        gasPrice:
          description: The price of the gas
          type: string
        gasUsed:
          description: The amount of the gas that was used
          type: string
        timestamp:
          description: The transaction timestamp
          type: number
        value:
          description: The transaction value
          type: string
        includedSteps:
          description: An array of swap or protocol steps included in the LI.FI transaction
          type: array
          items:
            $ref: '#/components/schemas/IncludedSwapSteps'
      example:
        txHash: '0xd3ad8fb8798d8440f3a1ec7fd51e102a88e4690f9365fad4eff1a17020376b4a'
        txLink: >-
          https://polygonscan.com/tx/0xd3ad8fb8798d8440f3a1ec7fd51e102a88e4690f9365fad4eff1a17020376b4a
        amount: '13000000'
        token:
          address: '0xd69b31c3225728cc57ddaf9be532a4ee1620be51'
          symbol: anyUSDC
          decimals: 6
          chainId: 137
          name: USDC
          coinKey: anyUSDC
          priceUSD: '0'
          logoURI: ''
        gasToken:
          address: '0x0000000000000000000000000000000000001010'
          symbol: MATIC
          decimals: 18
          chainId: 137
          name: MATIC
          coinKey: MATIC
          priceUSD: '0'
          logoURI: ''
        chainId: 137
        gasAmount: '10000'
        gasAmountUSD: '0.0'
        gasPrice: '1000'
        gasUsed: '1000'
        timestamp: 1720545119
        value: '0'
    Metadata:
      title: Root type for Transaction Metadata
      description: The metadata of the transaction which includes integrator data, etc.
      type: object
      properties:
        integrator:
          description: Integrator ID
          type: string
    Token:
      title: Root Type for Token
      description: Representation of a Token
      required:
        - address
        - chainId
        - decimals
        - name
        - symbol
      type: object
      properties:
        address:
          description: Address of the token
          type: string
        decimals:
          format: number
          description: Number of decimals the token uses
          type: number
        symbol:
          description: Symbol of the token
          type: string
        chainId:
          format: number
          description: Id of the token's chain
          type: number
        coinKey:
          description: Identifier for the token
          type: string
        name:
          description: Name of the token
          type: string
        logoURI:
          description: Logo of the token
          type: string
        priceUSD:
          description: Token price in USD
          type: string
      example:
        address: '0x8f3cf7ad23cd3cadbd9735aff958023239c6a063'
        symbol: DAI
        decimals: 18
        chainId: 137
        name: (PoS) Dai Stablecoin
        coinKey: DAI
        priceUSD: '1'
        logoURI: >-
          https://static.debank.com/image/matic_token/logo_url/0x8f3cf7ad23cd3cadbd9735aff958023239c6a063/549c4205dbb199f1b8b03af783f35e71.png
    IncludedSwapSteps:
      title: Root type for included swaps or protocol steps in the status response
      description: >-
        The included steps contain tool name and details, sending and receiving
        token data and amounts.
      type: object
      properties:
        tool:
          description: The tool used for this step
          type: string
        toolDetails:
          description: >-
            The details of the tool used for this step. E.g. `1inch` or
            `feeProtocol`
          type: object
          properties:
            key:
              description: The tool key
              type: string
            name:
              description: The tool name
              type: string
            logoURI:
              description: The tool logo URL
              type: string
        fromAmount:
          description: The amount that was sent to the tool
          type: string
        fromToken:
          description: The token that was sent to the tool
          type: string
        toAmount:
          description: The amount that was received from the tool
          type: string
        toToken:
          description: The token that was received from the tool
          type: string
        bridgedAmount:
          description: The amount that was sent to the bridge
          type: string

````